$(document).ready(function(){

    $(".btn-detalle-pedido").on('click', function(e){
        e.preventDefault();

        var id_pedido = $(this).data('id');
        var path = $(this).data('path');
        var token = $(this).data('token');
        var modal_title = $(".modal-title");
        var modal_body = $(".modal-body");
        var loading = '<p><i class="fa fa-circle-o-notch fa-spin"></i> Cargando datos</p>';
        var table = $("#table-detalle-pedido tbody");
        var data = {'_token' : token, 'order_id' : id_pedido};

        modal_title.html('Detalle del Pedido: ' + id_pedido);
        table.html(loading);

        $.post(
            path,
            data,
            function(data){
                //console.log(response);
                table.html("");
                 
                for(var i=0; i<data.length; i++){
                    
                    var fila = "<tr>";
                    
                    fila += "<td>" + data[i].product.name + "</td>";
                    fila += "<td>$ " + parseFloat(data[i].price).toFixed(2) + "</td>";
                    fila += "<td>" + parseInt(data[i].quantity) + "</td>";
                    fila += "<td>" + parseInt(data[i].discount) + "%</td>";
                    fila += "<td>$ " + (parseFloat(data[i].quantity) * parseFloat(data[i].price)* ((100 - data[i].discount)/100)).toFixed(2) + "</td>";
                    fila += "<td>" + data[i].comments + "</td>";
                    fila += "</tr>";
                    
                    table.append(fila);
                }
            },
            'json'
        );

    });

    $(".btn-fechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
                
        window.location.href = url + "/admin/orderdates/" + fechainicio + "/" + fechafinal

     }); 

    $(".btn-fechasped").click(function(e){ 
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
                
        window.location.href = url + "/admin/orderdatesped/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechaspedtoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/admin/orderdatesped/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasinv").click(function(e){ 
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdatei").val();
        var fechafinal = $("#todatei").val();
                
        window.location.href = url + "/fechasinv/" + fechainicio + "/" + fechafinal
    });

    $(".btn-inventoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/fechasinv/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasaj").click(function(e){ 
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $(this).data('from');
        var fechafinal = $(this).data('to');
                
        window.location.href = url + "/fechasaj/" + fechainicio + "/" + fechafinal
    });

    $(".btn-cashtoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/cashhistory/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechainv").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        if(fechainicio==""){
            $("#fromdate").css('background', 'yellow');
        } else {                
            window.location.href = url + "/inventario/" + fechainicio
        }
 
    });

    $(".btn-fechasplatos").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate3").val();
        var fechafinal = $("#todate3").val();
                
        window.location.href = url + "/orderdatesplatos/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasplatostoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/orderdatesplatos/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasmeseroplatos").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate4").val();
        var fechafinal = $("#todate4").val();
                 
        window.location.href = url + "/orderdatesmesplatos/" + fechainicio + "/" + fechafinal
    });
    
    $(".btn-fechasborrados").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate5").val();
        var fechafinal = $("#todate5").val();
                
        window.location.href = url + "/admin/borrados/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasmeseroplatostoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/orderdatesmesplatos/" + fechainicio + "/" + fechafinal
    });
    
    $(".btn-ventaspordia").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate1").val();
        var fechafinal = $("#todate1").val();
        window.location.href = url + "/admin/ventaspordia/" + fechainicio + "/" + fechafinal
 
    });

    $(".btn-fechasmesero").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate2").val();
        var fechafinal = $("#todate2").val();
                
        window.location.href = url + "/datesmesero/" + fechainicio + "/" + fechafinal
 
    });

    $(".btn-fechasmeserotoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/datesmesero/" + fechainicio + "/" + fechafinal
 
    });

    $(".btn-meserosell").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
        var usuario = $(this).data('usuario');
                
        window.location.href = url + "/meserosell/" + fechainicio + "/" + fechafinal + "/" + usuario

 
    });

    $(".btn-fechastickets").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate4").val();
        var fechafinal = $("#todate4").val();
                
        window.location.href = url + "/admin/datestickets/" + fechainicio + "/" + fechafinal

 
    });
    
    $(".btn-cashtodaycap").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/cashhistorycap/" + fechainicio + "/" + fechafinal
    });

    $(".btn-cashfechascap").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
                
        window.location.href = url + "/cashhistorycap/" + fechainicio + "/" + fechafinal
    });

    $(".btn-cashtoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/cashhistory/" + fechainicio + "/" + fechafinal
    });

    $(".btn-cashfechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
                
        window.location.href = url + "/cashhistory/" + fechainicio + "/" + fechafinal
    });

    


    $(".btn-expensetoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/expense/" + fechainicio + "/" + fechafinal
    });
 
    $(".btn-expensefechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate2").val();
        var fechafinal = $("#todate2").val();
                
        window.location.href = url + "/expense/" + fechainicio + "/" + fechafinal
    });

    $(".btn-salarytoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/salary/" + fechainicio + "/" + fechafinal
    });

    $(".btn-salaryfechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate3").val();
        var fechafinal = $("#todate3").val();
                
        window.location.href = url + "/salary/" + fechainicio + "/" + fechafinal
    });

    $(".btn-balancetoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/balance/" + fechainicio + "/" + fechafinal
    });

    $(".btn-balancefechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate4").val();
        var fechafinal = $("#todate4").val();
                
        window.location.href = url + "/balance/" + fechainicio + "/" + fechafinal
    });

    $(".btn-cerrarsystoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var d = new Date();
        var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/cerrarsys/" + fechainicio + "/" + fechafinal
       
    });

    $(".btn-cerrarsys").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromcerrar").val();
        var fechafinal = $("#tocerrar").val();
                
        window.location.href = url + "/cerrarsys/" + fechainicio + "/" + fechafinal
    });
 
    /*$(".chale").on('focus', function(){
        document.getElementById("enviar").style.visibility = "hidden";
    });

    $(".chale").on('blur', function(){
        var id = $(this).data('id');
        var url = $(this).data('url');
        var agre = $("#agregado_" + id).val();
        var comm = $("#comment_" + id).val();
        var cantidad = $("#product_" + id).val();
        var price = $("#price_" + id).val();
        if(comm == ''){
            comm = "-";
        }
        window.location.href = url + "/cart/update/" + id + "/" + cantidad + "/" + comm + "/" + price + "/" + agre
    });*/

    $(".btn-update-item").click(function(e){
        var id = $(this).data('id');
        var url = $(this).data('url');
        var indice = $(this).data('indice');
        var orderid = $(this).data('orderid');
        var comm = $("#comment_" + indice).val();
        var cantidad = $("#product_" + indice).val();
        var price = $("#price_" + indice).val();
        
        if(comm == ''){
            comm = "-";
        }
        // alert (id+" "+cantidad+" "+comm+" "+price+" "+agre+" "+indice);
        window.location.href = url + "/cart/update/" + id + "/" + cantidad + "/" + comm + "/" + price + "/" + indice + "/" + orderid
    });

    

    $(".chform").on('click', function(e){
        e.preventDefault();
        var orden = $(this).data('order');
        var forma = $("#forma_" + orden).text();
        var path = $(this).data('path');
        var token = $(this).data('token');
        var inicio = $(this).data('inicio');
        var final = $(this).data('final');
        var url = $(this).data('url');
        
        var data = {'_token' : token, 'orden' : orden, 'forma' : forma}; 
                     
        $.post(
              path,
              data,
              function(forma){
                if (forma == "Efectivo"){
                  $("#forma_" + orden).text('Efectivo');
                }else{
                  $("#forma_" + orden).text('Tarjeta');
                }
                location.reload();
            }
        );
        
    });

     $(".btn-update-itemoffline").click(function(e){
        var id = $(this).data('id');
        var url = $(this).data('url');
        var agre = $("#agregado_" + id).val();
        var comm = $("#comment_" + id).val();
        var cantidad = $("#product_" + id).val();
        var price = $("#price_" + id).val();
        if(comm == ''){
            comm = "-";
        }
        window.location.href = url + "/cart/updateoffline/" + id + "/" + cantidad + "/" + comm + "/" + price + "/" + agre
    });
            
   $(".cartdeloffline").click(function(e){
        e.preventDefault();
        var id = $(this).data('id');
        var url = $(this).data('url');
        var agre = $("#agregado_" + id).val();
        
        window.location.href = url + "/cart/deleteoffline/" + id + "/"  + agre
    });

    $(".cartstore").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var orderid = $(this).data('orderid');
        
        window.location.href = url + "/cart/store" + "/"  + orderid
        
    });


    $(".cartstore-con tabla").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var orderid = $(this).data('orderid');
        //función que realiza la busqueda
        
        //obtenemos el valor insertado a buscar
        buscar="$0.00";
        //utilizamos esta variable solo de ayuda y mostrar que se encontro
        encontradoResultado=false;
        //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
        $("#miTabla tr").find('td:eq(6)').each(function () {
                //obtenemos el codigo de la celda
                cod = $(this).html();
                codigo = cod.trim();
                //comparamos para ver si el código es igual a la busqueda
                if(codigo==buscar){
                    encontradoResultado=true;
                }
            //si no se encontro resultado mostramos que no existe.
        });
        if (encontradoResultado){
                alert("Algún producto tiene precio cero");
        }else{
                buscar1="Mojar";
                buscar2="Otros";
                buscar3="Huach";
                //utilizamos esta variable solo de ayuda y mostrar que se encontro
                encontradoResultado=false;
                //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
                $("#miTabla tr").find('td:eq(0)').each(function () {
                //obtenemos el codigo de la celda
                    cod = $(this).html();
                
                    codi = cod.trim();
                    codigo = codi.substring(0, 5);
                    //comparamos para ver si el código es igual a la busqueda
                    if((codigo==buscar1)||(codigo==buscar2)||(codigo==buscar3)){
                        encontradoResultado=true;
                        //aqui ya que tenemos el td que contiene el codigo utilizaremos parent para obtener el tr.
                        trDelResultado=$(this).parent();
                        //ya que tenemos el tr seleccionado ahora podemos navegar a las otras celdas con find
                        comentarios=trDelResultado.find('td:eq(1)').html();
                    
                        com1=comentarios.trim();
                        com2=com1.substring(0,16);
                    }
                //si no se encontro resultado mostramos que no existe.
                });
                if (encontradoResultado){
    
                    if((com2=='<input value="" ')|| (com2=='<input value="-"')){
                        alert("En comentarios escriba el platillo en caso de OTROS o el TAMAÑO en caso de MOJARRA o HUACHINANGO");
                    }else{
                        //window.location.href = url + "/sales"
                        window.location.href = url + "/cart/store" + "/"  + orderid
                    }
                }else{

                    window.location.href = url + "/cart/store" + "/"  + orderid

                }
                    

        }
            
    }); 

    $(".cartstoreajeno").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var orderid = $(this).data('orderid');
        window.location.href = url + "/cart/storeajeno" + "/"  + orderid
    });
    
    $(".cartstoreajeno-contabla").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var orderid = $(this).data('orderid');
        //función que realiza la busqueda
        
        //obtenemos el valor insertado a buscar
        buscar="$0.00";
        //utilizamos esta variable solo de ayuda y mostrar que se encontro
        encontradoResultado=false;
        //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
        $("#miTabla tr").find('td:eq(6)').each(function () {
                //obtenemos el codigo de la celda
                cod = $(this).html();
                codigo = cod.trim();
                //comparamos para ver si el código es igual a la busqueda
                if(codigo==buscar){
                    encontradoResultado=true;
                }
            //si no se encontro resultado mostramos que no existe.
        });
        if (encontradoResultado){
                alert("Algún producto tiene precio cero");
        }else{
                buscar1="Mojar";
                buscar2="Otros";
                buscar3="Huach";
                //utilizamos esta variable solo de ayuda y mostrar que se encontro
                encontradoResultado=false;
                //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
                $("#miTabla tr").find('td:eq(0)').each(function () {
                //obtenemos el codigo de la celda
                    cod = $(this).html();
                
                    codi = cod.trim();
                    codigo = codi.substring(0, 5);
                    //comparamos para ver si el código es igual a la busqueda
                    if((codigo==buscar1)||(codigo==buscar2)||(codigo==buscar3)){
                        encontradoResultado=true;
                        //aqui ya que tenemos el td que contiene el codigo utilizaremos parent para obtener el tr.
                        trDelResultado=$(this).parent();
                        //ya que tenemos el tr seleccionado ahora podemos navegar a las otras celdas con find
                        comentarios=trDelResultado.find('td:eq(1)').html();
                    
                        com1=comentarios.trim();
                        com2=com1.substring(0,16);
                    }
                //si no se encontro resultado mostramos que no existe.
                });
                if (encontradoResultado){
    
                    if((com2=='<input value="" ')|| (com2=='<input value="-"')){
                        alert("En comentarios escriba el platillo en caso de OTROS o el TAMAÑO en caso de MOJARRA o HUACHINANGO");
                    }else{
                        //window.location.href = url + "/sales"
                        window.location.href = url + "/cart/storeajeno" + "/"  + orderid
                    }
                }else{

                    window.location.href = url + "/cart/storeajeno" + "/"  + orderid

                }
                    

        }
            
    }); 

    $(".sale").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        //función que realiza la busqueda
            //obtenemos el valor insertado a buscar
            buscar1="Mojar";
            buscar2="Otros";
            buscar3="Huach";
            //utilizamos esta variable solo de ayuda y mostrar que se encontro
            encontradoResultado=false;
            //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
            $("#miTabla tr").find('td:eq(0)').each(function () {
                //obtenemos el codigo de la celda
                cod = $(this).html();
                codi = cod.trim();
                codigo = codi.substring(0, 5);
                //comparamos para ver si el código es igual a la busqueda
                if((codigo==buscar1)||(codigo==buscar2)||(codigo==buscar3)){
                    encontradoResultado=true;
                    //aqui ya que tenemos el td que contiene el codigo utilizaremos parent para obtener el tr.
                    trDelResultado=$(this).parent();
                    //ya que tenemos el tr seleccionado ahora podemos navegar a las otras celdas con find
                    comentarios=trDelResultado.find("td:eq(1)").html();
                }
            //si no se encontro resultado mostramos que no existe.
            });
            if (encontradoResultado){
                alert("Por motivo de precio este pedido se tiene que enviar");
             }else{
                    
                window.location.href = url + "/sales"
            }
            
    });

    $(".indexpdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/admin/orderdatespedpdf/" + from + "/" + to
    });

    $(".ventaspordiapdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/admin/ventaspordiapdf/" + from + "/" + to
    });
    
    $(".datesmeseropdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/datesmeseropdf/" + from + "/" + to
    });

    $(".platospdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/orderdatesplatospdf/" + from + "/" + to
    });

    $(".mesplatospdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/orderdatesmesplatospdf/" + from + "/" + to
    });

    $(".inventarypdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var url = $(this).data('url');
        window.location.href = url + "/inventarypdf/" + from
    });

    $(".historialpdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/historialpdf/" + from + "/" + to
    });

    $(".expensepdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/expensepdf/" + from + "/" + to
    });

    $(".salarypdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/salarypdf/" + from + "/" + to
    });

    $(".balancepdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/balancepdf/" + from + "/" + to
    });

    $(".closegastos").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/closegastos/" + from + "/" + to
    });

    $(".closesalarios").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/closesalarios/" + from + "/" + to
    });

    $(".closebalance").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/closebalance/" + from + "/" + to
    });

    $(".newgasto").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/newgasto/" + from + "/" + to
    });

    $(".newsalario").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/newsalario/" + from + "/" + to
    });

});